> ## Documentation Index
> Fetch the complete documentation index at: https://docs.upwell.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Many Document Reference Specifications

> Query a list of document reference specifications



## OpenAPI

````yaml /api-reference/openapi.json get /api/rest/document_reference_specifications
openapi: 3.1.0
info:
  description: >-
    Upwell is Accounts Receivable automation software for the logistics
    industry. We serve freight brokers, carriers, factors, and anyone who needs
    to get transportation invoices paid.


    Learn more at:


    - [Upwell.com](https://upwell.com)
  title: Upwell REST API
  version: 3.30.2
  termsOfService: https://upwell.com/legal
  contact:
    name: Upwell
    url: https://upwell.com
    email: contact@upwell.com
servers:
  - url: https://api.upwell.com
    description: Production server
  - url: https://staging.api.upwell.com
    description: Staging server
security: []
tags:
  - name: Invoice Approval
    description: Endpoints for managing customer invoice approval workflow
paths:
  /api/rest/document_reference_specifications:
    get:
      tags:
        - Document Reference Specifications
      summary: Get Many Document Reference Specifications
      description: Query a list of document reference specifications
      parameters:
        - description: >-
            Your API key will be used for authentication of the request.
            `Authorization: YOUR_API_KEY`
          in: header
          name: authorization
          schema:
            type: string
        - in: query
          name: limit
          schema:
            type: integer
            default: 100
        - in: query
          name: offset
          schema:
            default: 0
            type: integer
      responses:
        '200':
          content:
            application/json:
              schema:
                properties:
                  documentReferenceSpecifications:
                    items:
                      description: >-
                        columns and relationships of
                        "document_reference_specifications"
                      nullable: false
                      properties:
                        createdAt:
                          $ref: '#/components/schemas/timestamp'
                        customer:
                          description: columns and relationships of "customers"
                          nullable: true
                          properties:
                            id:
                              nullable: false
                              title: String
                              type: string
                            name:
                              nullable: true
                              title: String
                              type: string
                          title: Customers
                          type: object
                        customerId:
                          nullable: true
                          title: String
                          type: string
                        formatRegex:
                          nullable: true
                          title: String
                          type: string
                        id:
                          nullable: false
                          title: String
                          type: string
                        name:
                          nullable: false
                          title: String
                          type: string
                        nameRegex:
                          nullable: true
                          title: String
                          type: string
                        updatedAt:
                          $ref: '#/components/schemas/timestamp'
                      title: DocumentReferenceSpecifications
                      type: object
                    nullable: false
                    type: array
          description: Responses for GET /api/rest/document_reference_specifications
components:
  schemas:
    timestamp:
      nullable: false
      title: timestamp

````